ChartDirector Ver 5.0 (PHP Edition)

JsChartViewer.canSupportPartialUpdate

Usage

canSupportPartialUpdate()

Description

Checks if the browser is capable of supporting partial chart updates (AJAX requests).
Note: This method is a static method (class method). It should be accessed as JsChartViewer.canSupportPartialUpdate, not objName.canSupportPartialUpdate.
This method allows one to switch between partial chart updates and full page update depending on the capabilities of the browser.
In the current version of JsChartViewer, partial chart updates (AJAX requests) require the browser to support one of the followings:

- XMLHttpRequest object: This object is supported in most non-Microsoft DOM compliant browsers, such as FireFox, Mozilla, Opera, Safari, etc.
- Msxml2.XMLHTTP or Microsoft.XMLHTTP ActiveX object on IE 5.0 or above: These objects are included as standard in IE 5.0 or above, so they should be available on IE 5.0 or above.
- IE 5.5 or above: IE 5.0 or above normally can use the Msxml2.XMLHTTP or Microsoft.XMLHTTP ActiveX object for partial updates. However, some browsers may have ActiveX support disabled for security reasons. In this case, if the browser is IE 5.5 or above, JsChartViewer will to use a "hidden IFRAME" method to communicate with the server.

Arguments

None

Return Value

True if partial chart update is supported, otherwise false.

© 2009 Advanced Software Engineering Limited. All rights reserved.